commit:     ac455f7cee741c0240665dfe5905b2252fcbaa68
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 21 07:37:41 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Jul 21 13:07:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac455f7c

games-arcade/solarwolf: add 1.5_p3, EAPI 7->8, various fixes

Was previously given python 3.9 compat but wouldn't startup with
it due to 3.9's isAlive() removal. Bump to newer debian patchset
to fix this.

Also:
 - python-r1 -> python-single-r1 wrt bug #710232
 - updated deps for SDL2 and added missing sdl2-image[gif,png]
 - don't call "python3" directly
 - einstalldocs was a noop, replace by dodoc readme.txt
 - fix HOMEPAGE not to point to a directory listing
 - default to windowed or may be difficult to use depending on display

Closes: https://bugs.gentoo.org/710232
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-arcade/solarwolf/Manifest                |  1 +
 games-arcade/solarwolf/solarwolf-1.5_p3.ebuild | 60 ++++++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/games-arcade/solarwolf/Manifest b/games-arcade/solarwolf/Manifest
index dd673590cfd..f762a44d476 100644
--- a/games-arcade/solarwolf/Manifest
+++ b/games-arcade/solarwolf/Manifest
@@ -1,2 +1,3 @@
 DIST solarwolf-1.5.tar.gz 2045888 BLAKE2B 
66498b1d9b202b45ff87ea9d4b1ab14dcb6e343e8b0761576cfbf1c84ee9575cbf665e4b94552eb764f5e4fbaa02739f62c9eb20217085a6d18483d3ca7eb587
 SHA512 
44d84976f7797e3b859f1e5e50f9f964e5c6d6d4437ad25cf04720035e8697cc0c86490fdbbf8d923320a5c15c6e3afd1fbcfb9f17e7e31ce6f7264004e991f2
 DIST solarwolf_1.5+dfsg1-1.debian.tar.xz 8392 BLAKE2B 
099543a22e93775756a90867dfeb7926ab9131b8367fa356a6d74efb682d17c5426f5f5372079052967a752a0c75e1d2db36b2ce0b43d00010c65468da968817
 SHA512 
b4d8ad1a0e83e4cf97185b075a53b7f66fbc20f865e490f714295f678fc675a111d2318e7c0b543028b5d948677140070acb9c04b07fdab1165e37606f34d87a
+DIST solarwolf_1.5+dfsg1-3.debian.tar.xz 8944 BLAKE2B 
7d83da34338e069d5076e7852f87f233043bfd3f3b2fe93a03fc3fcc631545ff666922d776d25689dec0723b077a373b30aed70ff713e27fad2c0f77bcf3b40e
 SHA512 
e443c6096d7fae2ead3a4d6cacd21590dbdd89ae3293bbd3a219a5337647088b417d6712cef0839c394bc18570d0255d2c3af12a0fc1aae718955ddc64dced95

diff --git a/games-arcade/solarwolf/solarwolf-1.5_p3.ebuild 
b/games-arcade/solarwolf/solarwolf-1.5_p3.ebuild
new file mode 100644
index 00000000000..93c392620e1
--- /dev/null
+++ b/games-arcade/solarwolf/solarwolf-1.5_p3.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit desktop python-single-r1
+
+MY_P="${PN}-$(ver_cut 1-2)"
+
+DESCRIPTION="Action/arcade recreation of SolarFox"
+HOMEPAGE="https://www.pygame.org/shredwheat/solarwolf/index.shtml";
+SRC_URI="
+       http://www.pygame.org/shredwheat/solarwolf/${MY_P}.tar.gz
+       
mirror://debian/pool/main/s/solarwolf/${MY_P/-/_}+dfsg1-${PV/*_p}.debian.tar.xz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~hppa ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       $(python_gen_cond_dep 'dev-python/pygame[${PYTHON_USEDEP}]')
+       media-libs/sdl2-image[gif,png]
+       media-libs/sdl2-mixer[mod,vorbis]"
+BDEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+       "${WORKDIR}"/debian/patches
+)
+
+src_prepare() {
+       default
+
+       sed -e "/CODEDIR = \"/s|= .*|= \"${EPREFIX}/usr/share/${PN}/code\"|" \
+               -e "/DATADIR = \"/s|= .*|= \"${EPREFIX}/usr/share/${PN}\"|" \
+               -i ${PN}.py || die
+       python_fix_shebang ${PN}.py
+
+       # default to windowed given it forces resolution and menus can be 
invisible
+       sed -i '/^display = 1/s/1/0/' code/game.py || die
+
+       rm -r data/.xvpics || die
+       gzip -d dist/${PN}.6.gz || die
+}
+
+src_install() {
+       newbin ${PN}.py ${PN}
+       doman dist/${PN}.6
+
+       insinto /usr/share/${PN}
+       doins -r code data
+
+       dodoc readme.txt
+
+       newicon data/ship-big.png ${PN}.png
+       make_desktop_entry ${PN} SolarWolf
+}

Reply via email to